import request from '@/utils/request'

/**
 * 获取
 * @param {*} data 
 * @returns 
 */
 export function getApplyChanelList(data) {
    return request({
        url: `/platform/bookPlatformPromotionChannel/list/page`,
        method: 'POST',
        data
    })
}


/**
 * 新增或者修改
 * @param {*} data 
 * @returns 
 */
 export function addOrEditApplyChanel(data) {
    return request({
        url: `/platform/bookPlatformPromotionChannel/add/or/update`,
        method: 'POST',
        data
    })
}

/**
 * 删除
 * @param {*} params 
 * @returns 
 */
 export function delApplyChanel(params) {
    return request({
        url: `/platform/bookPlatformPromotionChannel/delete`,
        method: 'DELETE',
        params
    })
}